package com.zd.base.job.task;

import com.zd.system.api.laboratory.RemoteLaboratoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 实验室调度任务
 *
 * @author liubo
 */
@Component("labTask")
public class LabTask {

    @Autowired
    private RemoteLaboratoryService remoteLaboratoryService;

    /**
     * 定时器定时查询离开时间超过24小时，记违规
     */
    public void outTimeRecord() {
        remoteLaboratoryService.outTimeRecord();
    }

    /**
     * 定时任务分级管控工作过期记录 - 并排列下次工作计划
     */
    public void workArrange() {
        remoteLaboratoryService.workArrange();
    }

    /**
     * 定时任务 早8点 管控工作逾期通知
     */
    public void workOverdue(){
        remoteLaboratoryService.workOverdue();
    };

    /**
     * 定时任务 下午7点 天管控工作执行通知
     */
    public void workExecuteByDay(){
        remoteLaboratoryService.workExecuteByDay();
    };

    /**
     * 定时任务 早8点 其他管控工作执行通知
     */
    public void workExecute(){
        remoteLaboratoryService.workExecute();
    };

    /**
     * 定时器定时查询预案向一体机推送的消息，如果超过两小时，需要清理
     */
    public void outTimeClearMessage() {
        remoteLaboratoryService.outTimeClearMessage();
    }

    /**
     * 安全检查隐患项未整改逾期通知
     */
    public  void checkSendMsgBeOverdue(){remoteLaboratoryService.checkSendMsgBeOverdue();}
}
